%define	name	straw
%define version 0.26
%define release %mkrel 5
%define fname %name-%{version}
%define	Summary	RSS feed agregator for Gnome

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/News
URL:		http://www.gnome.org/projects/straw/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/straw/%{fname}.tar.bz2
Source1:	%name-icons.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libpython-devel >= 2.3
BuildRequires:	pygtk2.0-libglade >= 2.6
BuildRequires:	pygtk2.0-devel >= 2.6
BuildRequires:	gnome-python-canvas
BuildRequires:	gnome-python-gtkhtml2
BuildRequires:	gnome-python-gnomevfs
BuildRequires:	gnome-python-gconf
BuildRequires:	adns-python 
BuildRequires:	intltool
BuildRequires:	dbus-python
BuildRequires:	desktop-file-utils
Requires:	pygtk2.0-libglade >= 2.6
Requires:	gnome-python-canvas
Requires:	gnome-python-gtkhtml2
Requires:	gnome-python-gnomevfs
Requires:	gnome-python-gconf
Requires:	dbus-python
Requires:	adns-python 
#gw we only need this for backward compatibility
Requires:	egenix-mx-base
BuildArch: noarch

%description
Straw is a desktop news aggregator for the GNOME environment. Its aim is to be
a faster, easier and more accessible way to read news and blogs than the 
traditional browser.

%prep
%setup -q -n %fname -a1

%build
python setup.py build

%install
rm -rf ${RPM_BUILD_ROOT}
python setup.py install --prefix=%_prefix --root=%buildroot
%find_lang %name
rm -rf %buildroot%_sysconfdir/gconf/gconf.xml.defaults

chmod 0644 NEWS LICENSE README TODO

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF

?package(%name): \
        command="%_bindir/%name" \
        needs="X11" \
        section="Networking/Other" \
        icon="%name.png" \
        title="Straw" \
        longtitle="%Summary" \
	xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Network;News" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus
%post_install_gconf_schemas %{name}

%preun
%preun_uninstall_gconf_schemas %{name}


%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f straw.lang
%defattr(-,root,root)
%doc NEWS LICENSE README TODO

%{_bindir}/*
%_sysconfdir/gconf/schemas/%name.schemas
%{_datadir}/applications/%name.desktop
%{_datadir}/%name
%{py_puresitedir}/%name
%{py_puresitedir}/*.egg-info
%{_menudir}/%name
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png
%{_datadir}/pixmaps/%name.png


%changelog
* Mon Mar 19 2007 Pascal Terjan <pterjan@mandriva.org> 0.26-5mdv2007.1
+ Revision: 146813
- package the .egg-info
- rebuild for python 2.5

* Mon Oct 30 2006 Götz Waschk <waschk@mandriva.org> 0.26-4mdv2007.1
+ Revision: 73684
- Import straw



* Mon Oct 30 2006 Gtz Waschk <waschk@mandriva.org> 0.26-4mdv2007.1
- remove xvfb build dep
- fix buildrequires

* Fri Sep 15 2006 Emmanuel Andry <eandry@mandriva.org> 0.26-3mdv2007.0
- xdg menu
- gconf macros
- fix group
- fix Xvfb path

* Mon Mar  6 2006 Gtz Waschk <waschk@mandriva.org> 0.26-2mdk
- oops noarch

* Mon Mar  6 2006 Gtz Waschk <waschk@mandriva.org> 0.26-1mdk
- fix preun
- update deps
- new URL
- new version

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.25.1-2mdk
- Rebuild for new python

* Fri Jul 16 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.25.1-1mdk
- New release 0.25.1

* Thu Jul 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.25-1mdk
- New release 0.25

* Wed Jul  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.24-2mdk
- readd gconf dependancy
- fix buildrequires

* Wed Jul  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.24-1mdk
- drop gconf dep
- it's now architecture dependant for the notification area applet
- fix source URL
- New release 0.24

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.23-2mdk
- drop py_ver macro
- fix buildrequires

* Wed Apr 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.23-1mdk
- fix installation
- new version

* Fri Feb 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22.1-1mdk
- fix buildrequires
- fix download URL
- new version

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-1mdk
- fix buildrequires
- new version

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-0.patch46.1mdk
- remove redundant dependancies
- remove bsddb3 dependancy and require python >= 2.3
- fix build 
- update to straw--mainline--0.22--patch-46

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-3mdk
- fix menu again

* Tue Jan 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-2mdk
- fix buildrequires

* Mon Jan 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-1mdk
- fix menu
- add schemas installation
- fix installation
- fix source location
- new version

* Fri Nov 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.21.1-2mdk
- PyXML not anymore needed

* Fri Nov 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.21.1-1mdk
- 0.21.1

* Mon Sep 08 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.19.2-2mdk
- Locales now work fine
- Fixed rights on docs

* Mon Sep 08 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.19.2-1mdk
- 0.19.2

* Sun Aug 31 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.19.1-2mdk
- require gnome-python-gnomevfs

* Tue Aug 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.19.1-1mdk
- 0.19.1
- fix hardcoded python version in binary

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.18.1-4mdk
- rebuild for new python
- make a %%py_ver macro and use it in stead of hardcoding version
- cosmetics

* Tue Apr 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.18.1-3mdk
- Add require on python-bsddb3

* Tue Apr 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.18.1-2mdk
- Oops, sh is in /bin not %_bindir

* Thu Apr 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.18.1-1mdk
- First Package
- Run with LC_ALL=C in menu. Accent problem with gnome stock items make
  menus unusable. I guess the fix will be in gnome-python.
